﻿using UnityEngine;

// attached to the player cameras, used to trigger the portal rendering code

public class MainCamera : MonoBehaviour {

    public Camera ourCamera;
    public WorkingPortal portal;
    public WorkingPortal viewportal;

    void OnPreCull () {
        if(portal.myGameObject.activeInHierarchy){
            portal.Render (ourCamera);
        }
        if(viewportal.myGameObject.activeInHierarchy){
            viewportal.Render (ourCamera);
        }
    }

}